/**
 * Copyright 2021 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { initialize } from "@googlemaps/jest-mocks";
import { noop } from "./core";

beforeEach(() => {
  initialize();
});

test("noop should return equivalent number of clusters", () => {
  expect(noop([]).length).toBe(0);
  expect(
    noop([new google.maps.Marker({}), new google.maps.Marker({})]).length
  ).toBe(2);
});
